VARKON Version 1.15 1997-10-24

> ## updpp_mbs - Procedure

> Update PART statement
> Description
> Updates a parameter in a part() statement and reevaluates the statement or the active module.
> Syntax
> updpp_mbs(id, parnum, parstr, mode)

> REF | id;
> INT | parnum;
> STRING | parstr*132;
> INT | mode;

> Principal parameters

> id | - Identity of part whose deinition to update
> parnum | - Relative position of parameter to update, first = 1
> parstr | - New parameter as a string in MBS syntax

> Optional parameters

> mode | - Controls the amount of reevaluation, default = 0
> | 0 = Reevaluate the statement but if referenced, reevaluate entire module
> | 1 = Reevaluate the statement only
> | 2 = No reevaluation

> Examples
> If a statement originally was...
> part(#5, beam(100, 200, 3500));
> then a
> updpp_mbs(#5, 2, "150");
> would change the statement into...
> part(#5, beam(100, 150, 3500));
> Comments
> Use updp_mbs() (one "p") to update a statement defining a simple entity.

VARKON Homepage | Index